Contents

Get Wiki Page History

[Notice] Starting July 14, 2026, we are changing how we provide Wiki:

  • New spaces: Wiki is not available.
  • Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.

For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects(Open in new tab).


Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.

Returns history of Wiki page.

Role

All

Method

GET

URL

/api/v2/wikis/:wikiId/history

URL parameters

Parameter NameTypeDescription
wikiIdNumberWiki Page ID

Query parameters

Parameter NameTypeDescription
minIdNumberminimum ID
maxIdNumbermaximum ID
countNumbernumber of records to retrieve(1-100) default=20
orderString”asc” or “desc” default=desc

Response example

Status Line / Response Header

HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8

Response Body

[
    {
        "pageId": 1,
        "version": 1,
        "name": "test",
        "content": "hello world",
        "createdUser": {
            "id": 1,
            "userId": "admin",
            "name": "admin",
            "roleType": 1,
            "lang": null,
            "nulabAccount": {
                "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
                "name": "admin",
                "uniqueId": "admin"
            },
            "mailAddress": "eguchi@nulab.example",
            "lastLoginTime": "2022-09-01T06:35:39Z"
        },
        "created":"2014-06-24T05:04:48Z"
    },
    // ...
]